using System;
using Server;
using Server.Mobiles;
using Server.Network;
using Server.Gumps;
using System.Collections.Generic;
namespace Server.Items
{
	public class UnicodeAnimatorItem : Item 
	{
		//the dicestate the item/command represents
		[Constructable]
		public UnicodeAnimatorItem() : base( 0x0E2D )
		{
			this.Weight = 1.0;
			this.Hue = 2117;
		}

		public UnicodeAnimatorItem( Serial serial ) : base( serial ){
			this.Weight = 1.0;
			this.Hue = 2117;
		}
		public override void OnDoubleClick( Mobile from )
		{
		Point3D loc = this.Location;
		Map map = this.Map;
		UnicodeAnimator.PlayAnimationOnLocation(SparkleAnimation.GetAnimationSequence(), SparkleAnimation.GetAnimationHues(), loc, map,3);
		}

		public override void Serialize( GenericWriter writer ){
			base.Serialize( writer );
			writer.Write( (int) 0 );
		}

		public override void Deserialize( GenericReader reader ){
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
		
		public override string DefaultName
		{
			get { return "a animation item"; }
		}
	}
}