using System;
using Server;
using Server.Mobiles;
using Server.Network;
using Server.Gumps;
using System.Collections.Generic;
namespace Server
{
	public static class SparkleAnimation
	{	
		private static List<string[]>  AnimationSequence = new List<string[]>();
		private static List<int>  AnimationSequenceHues = new List<int>();
		/** custom animation unicode sequence **/
		public static List<string[]>  GetAnimationSequence(){
			//frame 1
			AnimationSequence.Add( new string[]{ 
					"------",
					"------",
					"--*---",
					"------",
					"------"
					
					}
				);
			//frame 2
			AnimationSequence.Add( new string[]{ 
					"------",
					"-***--",
					"-*-*--",
					"-***--",
					"------"
					
					}
				);	
			//frame 3
			AnimationSequence.Add( new string[]{ 
					"******",
					"*------*",
					"*------*",
					"*------*",
					"******"
					
					}
				);
			//frame 4
			AnimationSequence.Add( new string[]{ 
					"xxxxxx",
					"x------x",
					"x------x",
					"x------x",
					"xxxxxx"
					
					}
				);
			//frame 5
			AnimationSequence.Add( new string[]{ 
					"zzzzzz",
					"z------z",
					"z------z",
					"z------z",
					"zzzzzz"
					
					}
				);		
				
				return AnimationSequence;
		}
		/** hues for each frame of animation, must be same number as  **/
		public static List<int> GetAnimationHues(){
			AnimationSequenceHues.Add( (int)0x1);
			AnimationSequenceHues.Add( (int)0x2);
			AnimationSequenceHues.Add( (int)0x3);
			AnimationSequenceHues.Add( (int)0x4);
			AnimationSequenceHues.Add( (int)0x5);
			return AnimationSequenceHues;
		}
	}
}